## kst 2.0.3

=== cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(Kst)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/modules")
include(KstMacros)

get_filename_component(kst_dir ${CMAKE_SOURCE_DIR}/.. ABSOLUTE)
get_filename_component(kst_build_dir ${CMAKE_BINARY_DIR}/build ABSOLUTE)


set(kst_version_major 2)
set(kst_version_minor 0)
set(kst_version_patch 3)
set(kst_version ${kst_version_major}.${kst_version_minor}.${kst_version_patch})

set(kst_binary_name kst2)


kst_option_init()
kst_option(release "Build release version: optimize for speed, don't embedded debug symbols" OFF all)
kst_option(merge_files "Merge files to speedup build about factor 5" OFF all)
kst_option(merge_rebuild "Rebuild generated files from merged files build" OFF all)
kst_option(verbose "Make verbose CMake run and Makefiles" OFF all)
kst_option(install_prefix "Install path for Kst, using a default if not set" OFF all)
kst_option(install_libdir "Install directory name for libraries" OFF all)
kst_option(3rdparty "Build plugins depending on 3rd party libraries" ON all)
kst_option(dataobjects "Build dataobject plugins" ON all)
kst_option(test "Build unit tests" OFF all)
kst_option(pch "Use precompiled headers" ON all)
kst_option(svnversion "Use svnversion's output for Kst's version information" ON all)
kst_option(rpath "Use rpath" ON gcc)
kst_option(3rdparty_download "Download precompiled 3rd party libraries" OFF win)
kst_option(console "Open console on Windows" OFF win)
kst_option(edit_cont "Enable \"Edit and Continue\" for Visual Studio" OFF win)

message(STATUS)


if(kst_3rdparty_download)
	message(STATUS "Checking downloaded 3rd party binaries.")
	set(_deps kst-3rdparty-win32-deps)
	set(_file ${_deps}.tar.bz2)
	set(_downloaded _downloaded-NOTFOUND CACHE PATH "3rd party binaries already downloaded" FORCE)
	find_file(_downloaded ${_file} ${CMAKE_BINARY_DIR})
	if (NOT _downloaded)
		# TODO move to sf.net, but sf.net is broken atm (Jan 30 2011)
		file(DOWNLOAD http://kst-plot.kde.org/download/${_file} ${CMAKE_BINARY_DIR}/${_file}
			EXPECTED_MD5 d2ffdb6dad509fe40f1cc9f60c88ddd5
			SHOW_PROGRESS)
		execute_process(COMMAND ${CMAKE_COMMAND} -E tar -xfj ${CMAKE_BINARY_DIR}/${_file})
	endif()
	set(kst_3rdparty_dir ${CMAKE_BINARY_DIR}/${_deps}-1.0)
endif()


kst_revision_project_name(Revision)
add_definitions(-DKST_HAVE_SVN_REVISION_H)
if(kst_svnversion)
	include(SubversionHeader)
	SubversionHeader(${kst_dir} ${kst_revision_project} ${CMAKE_BINARY_DIR}/svnrevision.h _modified)
else()
	file(WRITE ${CMAKE_BINARY_DIR}/svnrevision.h.tmp "#define SVN_REVISION \"unknown\"\n")
	configure_file(${CMAKE_BINARY_DIR}/svnrevision.h.tmp ${CMAKE_BINARY_DIR}/svnrevision.h COPYONLY)
endif()

# Find 3rd party libraries
find_package(Qt4 REQUIRED)
include(${QT_USE_FILE})
if(MINGW)
	# seems there is a bug in FindQt4
	macro(fix_it)
		foreach(_it ${ARGN})
			if(QT_${_it}_LIBRARY_DEBUG AND QT_${_it}_LIBRARY_RELEASE)
				set(QT_${_it}_LIBRARY debug ${QT_${_it}_LIBRARY_DEBUG} optimized ${QT_${_it}_LIBRARY_RELEASE} CACHE STRING "Fixed ${_it}" FORCE)
			endif()
		endforeach()
	endmacro()
	fix_it(QTCORE QTGUI QTXML QTSVG QTOPENGL)
endif()

message(STATUS)
if(kst_3rdparty)
  message(STATUS "3rd party libs for plugins--------------------")
  find_package(Getdata)
  find_package(Gsl)
  find_package(Netcdf)
  find_package(CFITSIO)
  #find_package(Dmc)
  message(STATUS "----------------------------------------------")
else()
  message(STATUS "Building plugins depending on 3rd party libraries suppressed")
endif()
message(STATUS)


# React on options

if(kst_release)
	set(CMAKE_BUILD_TYPE Release)
else()
	set(CMAKE_BUILD_TYPE Debug)
endif()

if(kst_verbose)
	set(CMAKE_VERBOSE_MAKEFILE 1)
else()
	set(CMAKE_VERBOSE_MAKEFILE 0)
endif()

if(kst_install_prefix)
	set(CMAKE_INSTALL_PREFIX ${kst_install_prefix} CACHE PATH "User's choice for install prefix" FORCE)
	set(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
else()
	set(kst_install_prefix INSTALLED)
	set(CMAKE_INSTALL_PREFIX ${kst_install_prefix} CACHE PATH "Kst's default install prefix" FORCE)
endif()

if(NOT kst_install_libdir)
	set(kst_install_libdir lib)
endif()

if(NOT kst_install_plugins)
	set(kst_install_plugins ${kst_install_libdir}/${kst_binary_name}/plugins)
endif()

if(kst_rpath)
	# the RPATH to be used when installing
	set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${kst_install_libdir}")
endif()

#path to install the .desktop files
set(kst_install_plugin_desktop_file_path share/services/kst)



if(NOT kst_console)
	set(kst_win32 WIN32)
	set(kst_qtmain_library ${QT_QTMAIN_LIBRARY})
endif()

if(APPLE AND NOT CMAKE_GENERATOR STREQUAL Xcode)
	set(kst_win32 MACOSX_BUNDLE)
endif()

if(APPLE)
	set(kst_pch 0 CACHE BOOL "Disable pch on Mac, not supported yet" FORCE)
endif()

if(kst_merge_files)
	set(kst_pch 0 CACHE BOOL "Disable pch because we build merged" FORCE)
endif()




if(MSVC)
	add_definitions(-D_USE_MATH_DEFINES)
else()
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
endif()

if(MSVC_IDE AND kst_edit_cont)
	# Enable <Edit and Continue> in Visual Studio
	set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /ZI")
	if(kst_pch)
		# Studio bug: <Visual Studio 2005 "Force Includes" Breaks Edit and Continue with Pre-compiled Headers>
		set(kst_pch 0 CACHE BOOL "Disable pch because of Edit&Continue" FORCE)
	endif()
endif()



if(WIN32)
	set(kst_debug_postfix d)
endif()

configure_file(${kst_dir}/cmake/config.h.cmake ${CMAKE_BINARY_DIR}/config.h)

include_directories(${CMAKE_BINARY_DIR} ${QT_INCLUDES})

message(STATUS "Build summary----------------------------------")
message(STATUS)
message(STATUS "Version       : ${kst_version}")
message(STATUS "Path to source: ${kst_dir}")
message(STATUS "Installation  :")
message(STATUS "        ${kst_install_prefix}/bin")
message(STATUS "        ${kst_install_prefix}/${kst_install_libdir}")
message(STATUS "        ${kst_install_prefix}/${kst_install_plugins}")
message(STATUS)
message(STATUS "Options:")
kst_option_list_all()
message(STATUS)
message(STATUS "-----------------------------------------------")
message(STATUS)


add_subdirectory(src)

if(kst_test)
	enable_testing()
	add_subdirectory(tests)
endif()

if (NOT APPLE)
	add_subdirectory(misc)
endif()



# CPack packaging
#
# http://cmake.org/cmake/help/cmake-2-8-docs.html#module:CPack

if(WIN32)
	set(CPACK_GENERATOR NSIS ZIP)
	set(CPACK_BINARY_ZIP 1)
	if (kst_install_prefix)
		set(CPACK_NSIS_PACKAGE_NAME ${kst_install_prefix})
	endif()
endif()

if (kst_install_prefix)
	set(CPACK_PACKAGE_FILE_NAME ${kst_install_prefix}-binary)
	set(CPACK_SOURCE_PACKAGE_FILE_NAME ${kst_install_prefix})
else()
	set(CPACK_SOURCE_PACKAGE_FILE_NAME Kst-${kst_version})
endif()
set(CPACK_INSTALL_PREFIX "")
	

set(CPACK_PACKAGE_NAME   Kst)
set(CPACK_PACKAGE_EXECUTABLES ${kst_binary_name} Kst2)
set(CPACK_PACKAGE_VENDOR "The Kst Team")
set(CPACK_PACKAGE_VERSION_MAJOR ${kst_version_major})
set(CPACK_PACKAGE_VERSION_MINOR ${kst_version_minor})
set(CPACK_PACKAGE_VERSION_PATCH ${kst_version_patch})


set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Kst 2")
set(CPACK_PACKAGE_DESCRIPTION_FILE    ${kst_dir}/README)
set(CPACK_PACKAGE_CONTACT "http://bugs.kde.org}")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "Kst ${kst_version}")
set(CPACK_STRIP_FILES 1)



# cmake bug, problems with the quotes in the gpl, fixed in 2.8.4
set(CPACK_RESOURCE_FILE_LICENSE "${kst_dir}/COPYING")



# sources
set(CPACK_SOURCE_INSTALLED_DIRECTORIES "${kst_dir};/") # http://www.mail-archive.com/cmake@cmake.org/msg33720.html
set(CPACK_SOURCE_GENERATOR TGZ ZIP TBZ2)

# rpm
set(CPACK_SET_DESTDIR "ON")
FILE(READ ${CPACK_RESOURCE_FILE_LICENSE} CPACK_RPM_PACKAGE_LICENSE)
set(CPACK_RPM_PACKAGE_GROUP "Applications/Science")
set(CPACK_RPM_PACKAGE_VENDOR ${CPACK_PACKAGE_VENDOR})

# deb
# This is experimental
# check also for plugin's 3rdparty libraries?
set(CPACK_DEBIAN_PACKAGE_DEPENDS "libqtgui4 (>= 4.4.3-0)")




# Usage
#
# Source only .targz, .tar.bz2, .zip:
#   make package_source
#
# Binary .tar.gz and install .sh:
#   make package
#
# Binary .deb:
# create : cpack -G DEB --config CPackConfig.cmake
# list   : dpkg-deb -c Kst-*.deb
# install: dpkg -i Kst-*.deb
#
# Binary .rpm:
# create : cpack -G RPM --config CPackConfig.cmake
# list   : rpm -qlp Kst-*.rpm              
# install: rpm -U Kst-*.rpm                


# CPack and Ubuntu
# Found this:
# http://www.purplekarrot.net/blog/dputCMake.html


if(APPLE)
	# We start from build/bin/kst2.app, all is build into the final bundle folder
	# On the mac the pathes to needed shared libraries are hardcoded in the binary/library 
	# which could be changed by the macro 'fixup_bundle' 
	# libs which are hardcoded are resolved automatically
	# but the plugins must be passed as extra argument because they are not hardcoded in the binary 
	
	set(bundle_dir ${kst_build_dir}/bin)
	set(contents_dir ${kst_binary_name}.app/Contents)
	
	set(app ${bundle_dir}/${kst_binary_name}.app)
	install(DIRECTORY "${QT_PLUGINS_DIR}/imageformats" DESTINATION ${bundle_dir}/${contents_dir}/plugins COMPONENT Runtime)
	
	install(CODE 
		"file(GLOB qt_plugins \"${bundle_dir}/${contents_dir}/plugins/imageformats/*${CMAKE_SHARED_LIBRARY_SUFFIX}\")
		file(GLOB kst_plugins \"${bundle_dir}/${contents_dir}/plugins/*${CMAKE_SHARED_MODULE_SUFFIX}\")
		set(libs \${qt_plugins} \${kst_plugins})
		include(BundleUtilities) 
		fixup_bundle(\"${app}\" \"\${libs}\" \"${dir}\") "
		COMPONENT RUNTIME)
	
	file(WRITE ${CMAKE_BINARY_DIR}/qt.conf "")
	install(FILES ${CMAKE_BINARY_DIR}/qt.conf DESTINATION ${contents_dir}/Resources COMPONENT Runtime)

	set(CPACK_GENERATOR DragNDrop)
endif()

include(CPack)

=== cmake/misc/CMakeLists.txt ===
# install runtime files

if(WIN32)
	install(FILES
		${QT_BINARY_DIR}/QtCore4.dll
		${QT_BINARY_DIR}/QtGui4.dll
		${QT_BINARY_DIR}/QtXml4.dll
		${QT_BINARY_DIR}/QtOpenGL4.dll
		${QT_BINARY_DIR}/QtSvg4.dll
		DESTINATION bin
		CONFIGURATIONS Release)
	install(FILES
		${QT_BINARY_DIR}/QtCored4.dll
		${QT_BINARY_DIR}/QtGuid4.dll
		${QT_BINARY_DIR}/QtXmld4.dll
		${QT_BINARY_DIR}/QtOpenGLd4.dll
		${QT_BINARY_DIR}/QtSvgd4.dll
		DESTINATION bin
		CONFIGURATIONS Debug)
endif()

if(MINGW)
	get_filename_component(MINGW_BIN_PATH ${CMAKE_CXX_COMPILER} PATH)
	install(FILES 
		${MINGW_BIN_PATH}/libgcc_s_dw2-1.dll
		${MINGW_BIN_PATH}/mingwm10.dll
		DESTINATION bin)
endif()


if(WIN32)
	set(color_folder    colors)
	set(tutorial_folder tutorial)
	set(font_folder fonts)
else()
	set(color_folder    share/config/colors)
	set(tutorial_folder share/apps/kst/tutorial)
	SET(font_folder     share/apps/kst/fonts)
endif()


# install data files
if(UNIX)
	if(NOT gyrodata)
		configure_file(${kst_dir}/sample_data/GYRODATA+free-width+whitespace+unixEOL+dot-decimal-separator.txt.gz 
		${CMAKE_BINARY_DIR}/gyrodata.dat.gz COPYONLY)
		execute_process(WORKING_DIRECTORY ${CMAKE_BINARY_DIR} COMMAND gunzip gyrodata.dat.gz)
		set(gyrodata ${CMAKE_BINARY_DIR}/gyrodata.dat CACHE STRING "gyrodata decompressed")
	endif()
endif()
file(GLOB dat_files ${kst_dir}/misc/tutorial/*.dat)
install(FILES ${dat_files} ${gyrodata} DESTINATION ${tutorial_folder})


# install colors
file(GLOB idl_files ${kst_dir}/misc/IDL*)
install(FILES ${idl_files} DESTINATION ${color_folder})


#install fonts
if(UNIX)
	file(GLOB fonts ${kst_dir}/misc/fonts/*.gz)
	install(FILES ${fonts} DESTINATION ${font_folder})
endif()

=== cmake/tests/CMakeLists.txt ===
project(ksttests)

file(GLOB test_headers ${kst_dir}/tests/*.h)

list(REMOVE_ITEM test_headers ${kst_dir}/tests/ksttest.h)

kst_include_directories(core math)

add_definitions(-DKST_USE_QTEST_MAIN -DKST_SRC_DIR=${kst_dir})


foreach(header ${test_headers})
	get_filename_component(filename ${header} NAME_WE)
	string(REPLACE test test_ testname ${filename})
	if(kst_verbose)
		message(STATUS "Building test ${testname}")
	endif()

	kst_init(${testname} "")

	set(moc_file)
	qt4_wrap_cpp(moc_file ${header} OPTIONS "-nw")

	kst_add_executable(
		${kst_dir}/tests/ksttest.h
		${kst_dir}/tests/${filename}.cpp
		${header} ${moc_file})

	kst_link(${libcore} ${libmath} ${QT_QTTEST_LIBRARY})

	add_test(NAME ${testname} COMMAND ${testname})

	# Some file grouping in Studio
	kst_flat_source_group()
	source_group(Generated FILES ${moc_file})
endforeach()

message(STATUS)
message(STATUS "Tests added, to run them call 'make test'")
message(STATUS)

# like done with qmake
#add_subdirectory(allinone)

=== misc/cfitsio-windows/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.4)

project( cfit )


set(CMAKE_RUNTIME_OUTPUT_DIRECTORY  ${CMAKE_BINARY_DIR}/bin) 
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY  ${CMAKE_BINARY_DIR}/lib) 
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY  ${CMAKE_BINARY_DIR}/lib) 

if(NOT CFIT_DIR)
	set(CFIT_DIR ${CMAKE_SOURCE_DIR})
endif()

set(cfit_sources
	${CFIT_DIR}/buffers.c
	${CFIT_DIR}/cfileio.c
	${CFIT_DIR}/checksum.c
	${CFIT_DIR}/compress.c
	${CFIT_DIR}/drvrfile.c
	${CFIT_DIR}/drvrmem.c
	${CFIT_DIR}/editcol.c
	${CFIT_DIR}/edithdu.c
	${CFIT_DIR}/eval_f.c
	${CFIT_DIR}/eval_l.c
	${CFIT_DIR}/eval_y.c
	${CFIT_DIR}/f77_wrap1.c
	${CFIT_DIR}/f77_wrap2.c
	${CFIT_DIR}/f77_wrap3.c
	${CFIT_DIR}/f77_wrap4.c
	${CFIT_DIR}/fitscore.c
	${CFIT_DIR}/getcol.c
	${CFIT_DIR}/getcolb.c
	${CFIT_DIR}/getcold.c
	${CFIT_DIR}/getcole.c
	${CFIT_DIR}/getcoli.c
	${CFIT_DIR}/getcolj.c
	${CFIT_DIR}/getcolk.c
	${CFIT_DIR}/getcoll.c
	${CFIT_DIR}/getcols.c
	${CFIT_DIR}/getcolsb.c
	${CFIT_DIR}/getcolui.c
	${CFIT_DIR}/getcoluj.c
	${CFIT_DIR}/getcoluk.c
	${CFIT_DIR}/getkey.c
	${CFIT_DIR}/group.c
	${CFIT_DIR}/grparser.c
	${CFIT_DIR}/histo.c
	${CFIT_DIR}/iraffits.c
	${CFIT_DIR}/modkey.c
	${CFIT_DIR}/putcol.c
	${CFIT_DIR}/putcolb.c
	${CFIT_DIR}/putcold.c
	${CFIT_DIR}/putcole.c
	${CFIT_DIR}/putcoli.c
	${CFIT_DIR}/putcolj.c
	${CFIT_DIR}/putcolk.c
	${CFIT_DIR}/putcoll.c
	${CFIT_DIR}/putcols.c
	${CFIT_DIR}/putcolsb.c
	${CFIT_DIR}/putcolu.c
	${CFIT_DIR}/putcolui.c
	${CFIT_DIR}/putcoluj.c
	${CFIT_DIR}/putcoluk.c
	${CFIT_DIR}/putkey.c
	${CFIT_DIR}/region.c
	${CFIT_DIR}/scalnull.c
	${CFIT_DIR}/swapproc.c
	${CFIT_DIR}/wcssub.c
	${CFIT_DIR}/wcsutil.c
	${CFIT_DIR}/fits_hcompress.c
	${CFIT_DIR}/fits_hdecompress.c
	${CFIT_DIR}/imcompress.c
	${CFIT_DIR}/pliocomp.c
	${CFIT_DIR}/quantize.c
	${CFIT_DIR}/ricecomp.c
)

file(GLOB cfit_headers ${CFIT_DIR}/*.h)


if(MSVC)
	add_definitions(-D_CRT_SECURE_NO_WARNINGS)
	set(CMAKE_DEBUG_POSTFIX d)
endif()

include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

add_library(cfitsio STATIC ${cfit_sources} ${cfit_headers})

if (NOT CMAKE_INSTALL_PREFIX)
	set(CMAKE_INSTALL_PREFIX ${CMAKE_CURRENT_BINARY_DIR}/INSTALLED)
endif()

install(FILES ${cfit_headers} DESTINATION include/cfitsio)
install(TARGETS cfitsio DESTINATION lib)

=== misc/gsl-windows/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project( gsl )


set(CMAKE_RUNTIME_OUTPUT_DIRECTORY  ${CMAKE_BINARY_DIR}/bin) 
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY  ${CMAKE_BINARY_DIR}/lib) 
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY  ${CMAKE_BINARY_DIR}/lib) 


set(GSL_DIR ${CMAKE_SOURCE_DIR})

set(gsl_source_list 
  ${GSL_DIR}/version.c
  ${GSL_DIR}/block/block.c
  ${GSL_DIR}/block/file.c
  ${GSL_DIR}/block/init.c
  ${GSL_DIR}/fft/dft.c
  ${GSL_DIR}/fft/factorize.c
  ${GSL_DIR}/fft/fft.c
  ${GSL_DIR}/fft/signals.c
  ${GSL_DIR}/min/bracketing.c
  ${GSL_DIR}/min/brent.c
  ${GSL_DIR}/min/convergence.c
  ${GSL_DIR}/min/fsolver.c
  ${GSL_DIR}/min/golden.c
  ${GSL_DIR}/min/quad_golden.c
  ${GSL_DIR}/blas/blas.c
  ${GSL_DIR}/cdf/beta.c
  ${GSL_DIR}/cdf/betainv.c
  ${GSL_DIR}/cdf/binomial.c
  ${GSL_DIR}/cdf/cauchy.c
  ${GSL_DIR}/cdf/cauchyinv.c
  ${GSL_DIR}/cdf/chisq.c
  ${GSL_DIR}/cdf/chisqinv.c
  ${GSL_DIR}/cdf/exponential.c
  ${GSL_DIR}/cdf/exponentialinv.c
  ${GSL_DIR}/cdf/exppow.c
  ${GSL_DIR}/cdf/fdist.c
  ${GSL_DIR}/cdf/fdistinv.c
  ${GSL_DIR}/cdf/flat.c
  ${GSL_DIR}/cdf/flatinv.c
  ${GSL_DIR}/cdf/gamma.c
  ${GSL_DIR}/cdf/gammainv.c
  ${GSL_DIR}/cdf/gauss.c
  ${GSL_DIR}/cdf/gaussinv.c
  ${GSL_DIR}/cdf/geometric.c
  ${GSL_DIR}/cdf/gumbel1.c
  ${GSL_DIR}/cdf/gumbel1inv.c
  ${GSL_DIR}/cdf/gumbel2.c
  ${GSL_DIR}/cdf/gumbel2inv.c
  ${GSL_DIR}/cdf/hypergeometric.c
  ${GSL_DIR}/cdf/laplace.c
  ${GSL_DIR}/cdf/laplaceinv.c
  ${GSL_DIR}/cdf/logistic.c
  ${GSL_DIR}/cdf/logisticinv.c
  ${GSL_DIR}/cdf/lognormal.c
  ${GSL_DIR}/cdf/lognormalinv.c
  ${GSL_DIR}/cdf/nbinomial.c
  ${GSL_DIR}/cdf/pareto.c
  ${GSL_DIR}/cdf/paretoinv.c
  ${GSL_DIR}/cdf/pascal.c
  ${GSL_DIR}/cdf/poisson.c
  ${GSL_DIR}/cdf/rayleigh.c
  ${GSL_DIR}/cdf/rayleighinv.c
  ${GSL_DIR}/cdf/tdist.c
  ${GSL_DIR}/cdf/tdistinv.c
  ${GSL_DIR}/cdf/weibull.c
  ${GSL_DIR}/cdf/weibullinv.c
  ${GSL_DIR}/cheb/deriv.c
  ${GSL_DIR}/cheb/eval.c
  ${GSL_DIR}/cheb/init.c
  ${GSL_DIR}/cheb/integ.c
  ${GSL_DIR}/combination/combination.c
  ${GSL_DIR}/combination/file.c
  ${GSL_DIR}/combination/init.c
  ${GSL_DIR}/complex/math.c
  ${GSL_DIR}/deriv/deriv.c
  ${GSL_DIR}/dht/dht.c
  ${GSL_DIR}/diff/diff.c
  ${GSL_DIR}/eigen/francis.c
  ${GSL_DIR}/eigen/gen.c
  ${GSL_DIR}/eigen/genherm.c
  ${GSL_DIR}/eigen/genhermv.c
  ${GSL_DIR}/eigen/gensymm.c
  ${GSL_DIR}/eigen/gensymmv.c
  ${GSL_DIR}/eigen/genv.c
  ${GSL_DIR}/eigen/herm.c
  ${GSL_DIR}/eigen/hermv.c
  ${GSL_DIR}/eigen/jacobi.c
  ${GSL_DIR}/eigen/nonsymm.c
  ${GSL_DIR}/eigen/nonsymmv.c
  ${GSL_DIR}/eigen/schur.c
  ${GSL_DIR}/eigen/sort.c
  ${GSL_DIR}/eigen/symm.c
  ${GSL_DIR}/eigen/symmv.c
  ${GSL_DIR}/err/error.c
  ${GSL_DIR}/err/message.c
  ${GSL_DIR}/err/stream.c
  ${GSL_DIR}/err/strerror.c
  ${GSL_DIR}/fit/linear.c
  ${GSL_DIR}/histogram/add.c
  ${GSL_DIR}/histogram/add2d.c
  ${GSL_DIR}/histogram/calloc_range.c
  ${GSL_DIR}/histogram/calloc_range2d.c
  ${GSL_DIR}/histogram/copy.c
  ${GSL_DIR}/histogram/copy2d.c
  ${GSL_DIR}/histogram/file.c
  ${GSL_DIR}/histogram/file2d.c
  ${GSL_DIR}/histogram/get.c
  ${GSL_DIR}/histogram/get2d.c
  ${GSL_DIR}/histogram/init.c
  ${GSL_DIR}/histogram/init2d.c
  ${GSL_DIR}/histogram/maxval.c
  ${GSL_DIR}/histogram/maxval2d.c
  ${GSL_DIR}/histogram/oper.c
  ${GSL_DIR}/histogram/oper2d.c
  ${GSL_DIR}/histogram/params.c
  ${GSL_DIR}/histogram/params2d.c
  ${GSL_DIR}/histogram/pdf.c
  ${GSL_DIR}/histogram/pdf2d.c
  ${GSL_DIR}/histogram/reset.c
  ${GSL_DIR}/histogram/reset2d.c
  ${GSL_DIR}/histogram/stat.c
  ${GSL_DIR}/histogram/stat2d.c
  ${GSL_DIR}/ieee-utils/endian.c
  ${GSL_DIR}/ieee-utils/env.c
  ${GSL_DIR}/ieee-utils/fp.c
  ${GSL_DIR}/ieee-utils/make_rep.c
  ${GSL_DIR}/ieee-utils/print.c
  ${GSL_DIR}/ieee-utils/read.c
  ${GSL_DIR}/ieee-utils/standardize.c
  ${GSL_DIR}/integration/qag.c
  ${GSL_DIR}/integration/qagp.c
  ${GSL_DIR}/integration/qags.c
  ${GSL_DIR}/integration/qawc.c
  ${GSL_DIR}/integration/qawf.c
  ${GSL_DIR}/integration/qawo.c
  ${GSL_DIR}/integration/qaws.c
  ${GSL_DIR}/integration/qcheb.c
  ${GSL_DIR}/integration/qk.c
  ${GSL_DIR}/integration/qk15.c
  ${GSL_DIR}/integration/qk21.c
  ${GSL_DIR}/integration/qk31.c
  ${GSL_DIR}/integration/qk41.c
  ${GSL_DIR}/integration/qk51.c
  ${GSL_DIR}/integration/qk61.c
  ${GSL_DIR}/integration/qmomo.c
  ${GSL_DIR}/integration/qmomof.c
  ${GSL_DIR}/integration/qng.c
  ${GSL_DIR}/integration/workspace.c
  ${GSL_DIR}/interpolation/accel.c
  ${GSL_DIR}/interpolation/akima.c
  ${GSL_DIR}/interpolation/cspline.c
  ${GSL_DIR}/interpolation/interp.c
  ${GSL_DIR}/interpolation/linear.c
  ${GSL_DIR}/interpolation/poly.c
  ${GSL_DIR}/interpolation/spline.c
  ${GSL_DIR}/linalg/balance.c
  ${GSL_DIR}/linalg/balancemat.c
  ${GSL_DIR}/linalg/bidiag.c
  ${GSL_DIR}/linalg/cholesky.c
  ${GSL_DIR}/linalg/choleskyc.c
  ${GSL_DIR}/linalg/exponential.c
  ${GSL_DIR}/linalg/hermtd.c
  ${GSL_DIR}/linalg/hessenberg.c
  ${GSL_DIR}/linalg/hesstri.c
  ${GSL_DIR}/linalg/hh.c
  ${GSL_DIR}/linalg/householder.c
  ${GSL_DIR}/linalg/householdercomplex.c
  ${GSL_DIR}/linalg/lq.c
  ${GSL_DIR}/linalg/lu.c
  ${GSL_DIR}/linalg/luc.c
  ${GSL_DIR}/linalg/multiply.c
  ${GSL_DIR}/linalg/ptlq.c
  ${GSL_DIR}/linalg/qr.c
  ${GSL_DIR}/linalg/qrpt.c
  ${GSL_DIR}/linalg/svd.c
  ${GSL_DIR}/linalg/symmtd.c
  ${GSL_DIR}/linalg/tridiag.c
  ${GSL_DIR}/matrix/copy.c
  ${GSL_DIR}/matrix/file.c
  ${GSL_DIR}/matrix/getset.c
  ${GSL_DIR}/matrix/init.c
  ${GSL_DIR}/matrix/matrix.c
  ${GSL_DIR}/matrix/minmax.c
  ${GSL_DIR}/matrix/oper.c
  ${GSL_DIR}/matrix/prop.c
  ${GSL_DIR}/matrix/rowcol.c
  ${GSL_DIR}/matrix/submatrix.c
  ${GSL_DIR}/matrix/swap.c
  ${GSL_DIR}/matrix/view.c
  ${GSL_DIR}/monte/miser.c
  ${GSL_DIR}/monte/plain.c
  ${GSL_DIR}/monte/vegas.c
  ${GSL_DIR}/multifit/convergence.c
  ${GSL_DIR}/multifit/covar.c
  ${GSL_DIR}/multifit/fdfsolver.c
  ${GSL_DIR}/multifit/fsolver.c
  ${GSL_DIR}/multifit/gradient.c
  ${GSL_DIR}/multifit/lmder.c
  ${GSL_DIR}/multifit/multilinear.c
  ${GSL_DIR}/multifit/work.c
  ${GSL_DIR}/multimin/conjugate_fr.c
  ${GSL_DIR}/multimin/conjugate_pr.c
  ${GSL_DIR}/multimin/convergence.c
  ${GSL_DIR}/multimin/diff.c
  ${GSL_DIR}/multimin/fdfminimizer.c
  ${GSL_DIR}/multimin/fminimizer.c
  ${GSL_DIR}/multimin/simplex.c
  ${GSL_DIR}/multimin/simplex2.c
  ${GSL_DIR}/multimin/steepest_descent.c
  ${GSL_DIR}/multimin/vector_bfgs.c
  ${GSL_DIR}/multimin/vector_bfgs2.c
  ${GSL_DIR}/multiroots/broyden.c
  ${GSL_DIR}/multiroots/convergence.c
  ${GSL_DIR}/multiroots/dnewton.c
  ${GSL_DIR}/multiroots/fdfsolver.c
  ${GSL_DIR}/multiroots/fdjac.c
  ${GSL_DIR}/multiroots/fsolver.c
  ${GSL_DIR}/multiroots/gnewton.c
  ${GSL_DIR}/multiroots/hybrid.c
  ${GSL_DIR}/multiroots/hybridj.c
  ${GSL_DIR}/multiroots/newton.c
  ${GSL_DIR}/ntuple/ntuple.c
  ${GSL_DIR}/ode-initval/bsimp.c
  ${GSL_DIR}/ode-initval/control.c
  ${GSL_DIR}/ode-initval/cscal.c
  ${GSL_DIR}/ode-initval/cstd.c
  ${GSL_DIR}/ode-initval/evolve.c
  ${GSL_DIR}/ode-initval/gear1.c
  ${GSL_DIR}/ode-initval/gear2.c
  ${GSL_DIR}/ode-initval/rk2.c
  ${GSL_DIR}/ode-initval/rk2imp.c
  ${GSL_DIR}/ode-initval/rk2simp.c
  ${GSL_DIR}/ode-initval/rk4.c
  ${GSL_DIR}/ode-initval/rk4imp.c
  ${GSL_DIR}/ode-initval/rk8pd.c
  ${GSL_DIR}/ode-initval/rkck.c
  ${GSL_DIR}/ode-initval/rkf45.c
  ${GSL_DIR}/ode-initval/step.c
  ${GSL_DIR}/permutation/canonical.c
  ${GSL_DIR}/permutation/file.c
  ${GSL_DIR}/permutation/init.c
  ${GSL_DIR}/permutation/permutation.c
  ${GSL_DIR}/permutation/permute.c
  ${GSL_DIR}/poly/dd.c
  ${GSL_DIR}/poly/deriv.c
  ${GSL_DIR}/poly/eval.c
  ${GSL_DIR}/poly/solve_cubic.c
  ${GSL_DIR}/poly/solve_quadratic.c
  ${GSL_DIR}/poly/zsolve.c
  ${GSL_DIR}/poly/zsolve_cubic.c
  ${GSL_DIR}/poly/zsolve_init.c
  ${GSL_DIR}/poly/zsolve_quadratic.c
  ${GSL_DIR}/qrng/halton.c
  ${GSL_DIR}/qrng/niederreiter-2.c
  ${GSL_DIR}/qrng/qrng.c
  ${GSL_DIR}/qrng/reversehalton.c
  ${GSL_DIR}/qrng/sobol.c
  ${GSL_DIR}/randist/bernoulli.c
  ${GSL_DIR}/randist/beta.c
  ${GSL_DIR}/randist/bigauss.c
  ${GSL_DIR}/randist/binomial.c
  ${GSL_DIR}/randist/binomial_tpe.c
  ${GSL_DIR}/randist/cauchy.c
  ${GSL_DIR}/randist/chisq.c
  ${GSL_DIR}/randist/dirichlet.c
  ${GSL_DIR}/randist/discrete.c
  ${GSL_DIR}/randist/erlang.c
  ${GSL_DIR}/randist/exponential.c
  ${GSL_DIR}/randist/exppow.c
  ${GSL_DIR}/randist/fdist.c
  ${GSL_DIR}/randist/flat.c
  ${GSL_DIR}/randist/gamma.c
  ${GSL_DIR}/randist/gauss.c
  ${GSL_DIR}/randist/gausstail.c
  ${GSL_DIR}/randist/gausszig.c
  ${GSL_DIR}/randist/geometric.c
  ${GSL_DIR}/randist/gumbel.c
  ${GSL_DIR}/randist/hyperg.c
  ${GSL_DIR}/randist/landau.c
  ${GSL_DIR}/randist/laplace.c
  ${GSL_DIR}/randist/levy.c
  ${GSL_DIR}/randist/logarithmic.c
  ${GSL_DIR}/randist/logistic.c
  ${GSL_DIR}/randist/lognormal.c
  ${GSL_DIR}/randist/multinomial.c
  ${GSL_DIR}/randist/nbinomial.c
  ${GSL_DIR}/randist/pareto.c
  ${GSL_DIR}/randist/pascal.c
  ${GSL_DIR}/randist/poisson.c
  ${GSL_DIR}/randist/rayleigh.c
  ${GSL_DIR}/randist/shuffle.c
  ${GSL_DIR}/randist/sphere.c
  ${GSL_DIR}/randist/tdist.c
  ${GSL_DIR}/randist/weibull.c
  ${GSL_DIR}/rng/borosh13.c
  ${GSL_DIR}/rng/cmrg.c
  ${GSL_DIR}/rng/coveyou.c
  ${GSL_DIR}/rng/default.c
  ${GSL_DIR}/rng/file.c
  ${GSL_DIR}/rng/fishman18.c
  ${GSL_DIR}/rng/fishman20.c
  ${GSL_DIR}/rng/fishman2x.c
  ${GSL_DIR}/rng/gfsr4.c
  ${GSL_DIR}/rng/knuthran.c
  ${GSL_DIR}/rng/knuthran2.c
  ${GSL_DIR}/rng/knuthran2002.c
  ${GSL_DIR}/rng/lecuyer21.c
  ${GSL_DIR}/rng/minstd.c
  ${GSL_DIR}/rng/mrg.c
  ${GSL_DIR}/rng/mt.c
  ${GSL_DIR}/rng/r250.c
  ${GSL_DIR}/rng/ran0.c
  ${GSL_DIR}/rng/ran1.c
  ${GSL_DIR}/rng/ran2.c
  ${GSL_DIR}/rng/ran3.c
  ${GSL_DIR}/rng/rand.c
  ${GSL_DIR}/rng/rand48.c
  ${GSL_DIR}/rng/random.c
  ${GSL_DIR}/rng/randu.c
  ${GSL_DIR}/rng/ranf.c
  ${GSL_DIR}/rng/ranlux.c
  ${GSL_DIR}/rng/ranlxd.c
  ${GSL_DIR}/rng/ranlxs.c
  ${GSL_DIR}/rng/ranmar.c
  ${GSL_DIR}/rng/rng.c
  ${GSL_DIR}/rng/slatec.c
  ${GSL_DIR}/rng/taus.c
  ${GSL_DIR}/rng/taus113.c
  ${GSL_DIR}/rng/transputer.c
  ${GSL_DIR}/rng/tt.c
  ${GSL_DIR}/rng/types.c
  ${GSL_DIR}/rng/uni.c
  ${GSL_DIR}/rng/uni32.c
  ${GSL_DIR}/rng/vax.c
  ${GSL_DIR}/rng/waterman14.c
  ${GSL_DIR}/rng/zuf.c
  ${GSL_DIR}/roots/bisection.c
  ${GSL_DIR}/roots/brent.c
  ${GSL_DIR}/roots/convergence.c
  ${GSL_DIR}/roots/falsepos.c
  ${GSL_DIR}/roots/fdfsolver.c
  ${GSL_DIR}/roots/fsolver.c
  ${GSL_DIR}/roots/newton.c
  ${GSL_DIR}/roots/secant.c
  ${GSL_DIR}/roots/steffenson.c
  ${GSL_DIR}/siman/siman.c
  ${GSL_DIR}/sort/sort.c
  ${GSL_DIR}/sort/sortind.c
  ${GSL_DIR}/sort/sortvec.c
  ${GSL_DIR}/sort/sortvecind.c
  ${GSL_DIR}/sort/subset.c
  ${GSL_DIR}/sort/subsetind.c
  ${GSL_DIR}/specfunc/airy.c
  ${GSL_DIR}/specfunc/airy_der.c
  ${GSL_DIR}/specfunc/airy_zero.c
  ${GSL_DIR}/specfunc/atanint.c
  ${GSL_DIR}/specfunc/bessel.c
  ${GSL_DIR}/specfunc/bessel_amp_phase.c
  ${GSL_DIR}/specfunc/bessel_i.c
  ${GSL_DIR}/specfunc/bessel_I0.c
  ${GSL_DIR}/specfunc/bessel_I1.c
  ${GSL_DIR}/specfunc/bessel_In.c
  ${GSL_DIR}/specfunc/bessel_Inu.c
  ${GSL_DIR}/specfunc/bessel_j.c
  ${GSL_DIR}/specfunc/bessel_J0.c
  ${GSL_DIR}/specfunc/bessel_J1.c
  ${GSL_DIR}/specfunc/bessel_Jn.c
  ${GSL_DIR}/specfunc/bessel_Jnu.c
  ${GSL_DIR}/specfunc/bessel_k.c
  ${GSL_DIR}/specfunc/bessel_K0.c
  ${GSL_DIR}/specfunc/bessel_K1.c
  ${GSL_DIR}/specfunc/bessel_Kn.c
  ${GSL_DIR}/specfunc/bessel_Knu.c
  ${GSL_DIR}/specfunc/bessel_olver.c
  ${GSL_DIR}/specfunc/bessel_sequence.c
  ${GSL_DIR}/specfunc/bessel_temme.c
  ${GSL_DIR}/specfunc/bessel_y.c
  ${GSL_DIR}/specfunc/bessel_Y0.c
  ${GSL_DIR}/specfunc/bessel_Y1.c
  ${GSL_DIR}/specfunc/bessel_Yn.c
  ${GSL_DIR}/specfunc/bessel_Ynu.c
  ${GSL_DIR}/specfunc/bessel_zero.c
  ${GSL_DIR}/specfunc/beta.c
  ${GSL_DIR}/specfunc/beta_inc.c
  ${GSL_DIR}/specfunc/clausen.c
  ${GSL_DIR}/specfunc/coulomb.c
  ${GSL_DIR}/specfunc/coulomb_bound.c
  ${GSL_DIR}/specfunc/coupling.c
  ${GSL_DIR}/specfunc/dawson.c
  ${GSL_DIR}/specfunc/debye.c
  ${GSL_DIR}/specfunc/dilog.c
  ${GSL_DIR}/specfunc/elementary.c
  ${GSL_DIR}/specfunc/ellint.c
  ${GSL_DIR}/specfunc/elljac.c
  ${GSL_DIR}/specfunc/erfc.c
  ${GSL_DIR}/specfunc/exp.c
  ${GSL_DIR}/specfunc/expint.c

=== misc/netcdf-windows/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(netcdf)

if(netcdf_sources)
	set(TOP_DIR ${netcdf_sources})
else()
	set(TOP_DIR ${CMAKE_CURRENT_SOURCE_DIR}/..)
endif()


if(netcdf_install_prefix)
	set(CMAKE_INSTALL_PREFIX ${netcdf_install_prefix} CACHE PATH "User's choice for install prefix" FORCE)
	set(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
endif()
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
	set(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/INSTALLED CACHE PATH "Kst's default install prefix" FORCE)
endif()

message(STATUS)
message(STATUS "Using netCDF soures from: ${TOP_DIR}")
message(STATUS "Installing netCDF at    : ${CMAKE_INSTALL_PREFIX}")
message(STATUS)

if(MSVC)
	add_definitions(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE -DNOMINMAX)

	# add here warnings which should produce an error /weXXXX
	set(MSVC_W_ERROR   "/we4101 /we4189")
	
	# add here warnings which should be disabled /wdXXXX
	set(MSVC_W_DISABLE "/wd4288 /wd4355 /wd4800 /wd4996 /wd4311 /wd4312 /wd4505 /wd4267 /wd4512 /wd4245 /wd4127 /wd4180 /wd4231")

	set(CMAKE_C_FLAGS_DEBUG
		"${CMAKE_C_FLAGS_DEBUG} /Wp64 ${MSVC_W_ERROR} ${MSVC_W_DISABLE}")
	set(CMAKE_C_FLAGS_RELEASE
		"${CMAKE_C_FLAGS_RELEASE} /Wp64 ${MSVC_W_ERROR} ${MSVC_W_DISABLE}")
	
	set(CMAKE_DEBUG_POSTFIX d)
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-msvc.h ${CMAKE_BINARY_DIR}/config.h COPYONLY)
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/inttypes.h ${CMAKE_BINARY_DIR}/inttypes.h COPYONLY)
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/stdint.h ${CMAKE_BINARY_DIR}/stdint.h COPYONLY)
endif()

if(MINGW)
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-mingw.h ${CMAKE_BINARY_DIR}/config.h COPYONLY)
endif()

add_definitions(-D_FILE_OFFSET_BITS=64)	
include_directories(${CMAKE_BINARY_DIR})

if (NOT CMAKE_INSTALL_PREFIX)
	set(CMAKE_INSTALL_PREFIX ${CMAKE_CURRENT_BINARY_DIR}/installed)
endif()

add_subdirectory(libsrc)
add_subdirectory(cxx)

=== cmake/src/d2asc/CMakeLists.txt ===
kst_init(d2asc)

kst_files_find(src/d2asc)

kst_include_directories(core math)

kst_add_executable()

kst_link(${libcore} ${libmath})

kst_install_executable()

=== cmake/src/d2d/CMakeLists.txt ===
kst_init(d2d "")

kst_files_find(src/d2d)

kst_include_directories(core math)

kst_add_executable()

kst_link(${libcore} ${libmath})

kst_install_executable()

=== cmake/src/datasources/CMakeLists.txt ===


kst_init_plugin(src/datasources datasource)

if(MSVC OR MINGW)
	add_definitions(-DKST_USE_KST_ATOF)
endif()

if(UNIX)
  # speedup on Linux x2.7
  add_definitions(-DKST_USE_KST_ATOF)
endif()

kst_add_plugin(. ascii)
kst_add_plugin(. qimagesource)
kst_add_plugin(. sampledatasource)

if(getdata)
	include_directories(${GETDATA_INCLUDE_DIR})
	kst_add_plugin(. dirfilesource)
	kst_link(${GETDATA_LIBRARIES})
endif()

if(cfitsio)
	include_directories(${CFITSIO_INCLUDE_DIR})
	kst_add_plugin(. fitsimage)
	kst_link(${CFITSIO_LIBRARIES})
endif()

if(healpix)
	kst_add_plugin(. healpix)
endif()

if(lfioo)
	kst_add_plugin(. lfiio)
endif()

if(netcdf)
	include_directories(${NETCDF_INCLUDE_DIR})
	kst_add_plugin(. netcdf)
	kst_link(${NETCDF_LIBRARIES})
endif()
	
if(planckIDEF)
	kst_add_plugin(. planckIDEF)
endif()

if(dmc)
  include_directories(${DMC_INCLUDE_DIR})
  kst_add_plugin(. dmc)
  #kst_link(${DMC_LIBRARIES})
endif()

=== cmake/src/kst/CMakeLists.txt ===
kst_init(${kst_binary_name} "")

kst_files_ignore(main-vld)

kst_files_find(src/kst)

if(WIN32)
	if(MINGW)
	    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/kst_icon.o
		                   COMMAND windres.exe -I${CMAKE_CURRENT_BINARY_DIR}
		                   -i${kst_dir}/src/kst/kst_icon.rc
		                   -o ${CMAKE_CURRENT_BINARY_DIR}/kst_icon.o)
		set(rc_file ${CMAKE_CURRENT_BINARY_DIR}/kst_icon.o)
	else()
		set(rc_file ${kst_dir}/src/kst/kst_icon.rc)
	endif()
endif()

kst_add_resources(src/images/images.qrc)

kst_find_info_files(KstCMakeFiles ${kst_dir}/cmake/*)
kst_find_info_files(KstCMakeFiles ${kst_dir}/cmake/modules/*)

kst_add_info_files(KstInfoFiles 
	${kst_dir}/INSTALL
	${kst_dir}/NEWS
	${kst_dir}/README)

kst_include_directories(app)

kst_add_executable(${kst_win32} ${rc_file})

kst_link(${libcore} ${libmath} ${libapp} ${libwidgets})

kst_install_executable()

if(UNIX AND NOT APPLE)
	set(man ${CMAKE_BINARY_DIR}/${kst_binary_name}.1)
	configure_file(${kst_dir}/src/kst/kst.1.txt ${man})
	install(CODE "execute_process(COMMAND gzip ${man})")
	set_source_files_properties(${man}.gz PROPERTIES GENERATED TRUE) 
	install(FILES ${man}.gz DESTINATION share/man/man1)
	
	set(k ${kst_dir}/src/kst)
	install(FILES ${k}/kstplugin.desktop
	              ${k}/kstdatasourceplugin.desktop
	              ${k}/kstdataobjectplugin.desktop
	              ${k}/kstbasicplugin.desktop
	              ${k}/kstfilter.desktop
	              ${k}/kstextension.desktop
	                                 DESTINATION share/servicetypes/kst)
	install(FILES ${k}/kst.desktop   DESTINATION share/applnk/Graphics)
	install(FILES ${k}/kstui.rc      DESTINATION share/apps/kst)
	install(FILES ${k}/x-kst.desktop DESTINATION share/mimelink/application)
	install(FILES ${k}/kst.desktop   DESTINATION share/applications)
endif()

=== cmake/src/libkst/CMakeLists.txt ===
kst_init(${kst_binary_name} core)

kst_files_ignore(stdinsource timezones)

if(WIN32 OR APPLE OR ${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
	kst_files_ignore(sysinfo psversion)
else()
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -lrt")
endif()

kst_files_find(src/libkst)

kst_dont_merge(sysinfo.c psversion.c)

kst_add_library(SHARED)

kst_link()

=== cmake/src/libkstapp/CMakeLists.txt ===
kst_init(${kst_binary_name} app)

kst_files_find(src/libkstapp)

kst_include_directories(core math widgets)

set(AUTHORS ${kst_dir}/AUTHORS)
set_source_files_properties(${AUTHORS} PROPERTIES GENERATED TRUE HEADER_FILE_ONLY TRUE)
file(READ ${AUTHORS} data)
string(REPLACE "\n" ";" kst_authors ${data})
file(WRITE ${CMAKE_BINARY_DIR}/authors.h.tmp "static const char* kst_authors = \"${kst_authors}\";\n")

execute_process(COMMAND ${CMAKE_COMMAND}
		-E copy_if_different
		${CMAKE_BINARY_DIR}/authors.h.tmp ${CMAKE_BINARY_DIR}/authors.h)
		
kst_add_library(STATIC ${CMAKE_BINARY_DIR}/authors.h ${AUTHORS})

kst_link(${libcore} ${libmath} ${libwidgets})

=== debian/changelog ===
kst (2.0.3-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "missing Breaks+Replaces: kst-bin (<< 2.0.3)": add  Breaks+Replaces to
    kst-data, thanks Andreas Beckmann.
    (Closes: #632443)

 -- gregor herrmann <gregoa@debian.org>  Thu, 29 Nov 2012 18:38:12 +0100

kst (2.0.3-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add Build-depends: libgetdata-dev (Closes: #556990)
  * Bump Standards-Version to 3.9.3 (no changes)
  * Bump debhelper compat level to 9
  * Drop fragile *.symbols files
  * debian/rules updated to ensure dpkg-buildflags (e.g. hardening) works
  * debian/copyright updated to fully comply with
    http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/

 -- Michael Milligan <mmilligan@astro.umn.edu>  Wed, 13 Jun 2012 21:39:58 -0500

kst (2.0.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add debian/patches/fix-qreal-vs-double-for-arm.diff from Peter Green to
    fix FTBFS on armel and armhf (Closes: #646423)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 23 Dec 2011 00:45:25 -0500

kst (2.0.3-1) unstable; urgency=low

  * New upstream release (Closes: #604335)
  * New maintainer (Closes: #589685)
  * Reworked debian/copyright using DEP-5 and adding missing entries
  * Reworked debian/rules using dh and 3.0 (quilt) source format
    Tested with binutils-gold (Closes: #615738)
  * Bump compat level to 7
  * Change Section from x11 to science
  * Bump Standards-Version to 3.9.2 (add Homepage field)
  * Update descriptions
  * Add Build-Depends on cmake
  * Remove Build-Depends on libncurses5-dev (Closes: #553793)
  * Remove Build-Depends on kdelibs4-dev, libqt3-mt-dev, libx11-dev, 
    zlib1g-dev, g++, autoconf, autotools-dev, automake1.9, libtool, 
    libncurses5-dev, doxygen, qt3-doc
  * Remove packages: kst-bin, kst-plugins, libkst1c2, libkst1-dev
  * New packages: kst-data, libkst2core2, libkst2math2, libkst2widgets2
  * Update version and url for debian/watch
  * Add *.symbols files
  * Update debian/examples/example.kst (kst2 is can not read kst1 files)
  * New patches solving lintian warnings:
    + desktop-entry-contains-encoding-key.diff
    + desktop-entry-lacks-main-category.diff
    + hyphen-used-as-minus-sign.diff

 -- Ruben Molina <rmolina@udea.edu.co>  Mon, 27 Jun 2011 17:28:28 -0500

kst (1.7.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch for FTBFS (Closes: 543018). Thanks to Ilya Barygin
    <barygin@gmail.com> for the patch.
  * Bump debian/compat to 5.

 -- Serafeim Zanikolas <sez@debian.org>  Fri, 14 May 2010 23:51:22 +0200

kst (1.7.0-1) unstable; urgency=low

  * New upstream release.

 -- Mark Hymers <mhy@debian.org>  Sun, 20 Jul 2008 10:18:48 +0100

kst (1.6.0-1) unstable; urgency=low

  * New upstream release.
  * Change B-D to libnetcdf-dev.
  * Add dh_icons call.  Closes: #457853.
  * Bump Standards-Version to 3.8.0.
  * Bump debhelper dependency for dh_icons.

 -- Mark Hymers <mhy@debian.org>  Sat, 28 Jun 2008 15:16:16 +0100

kst (1.5.0-2) unstable; urgency=low

  * Remove dpatch support and merge changes into main tree.  This package is
    now maintained in git.

 -- Mark Hymers <mhy@debian.org>  Sat, 10 May 2008 22:02:07 +0100

kst (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * Update Standard-Version to 3.7.3.
  * Change menu file to use Applications/Science/Data Analysis instead
    of Apps/Science

 -- Mark Hymers <mhy@debian.org>  Mon, 10 Dec 2007 20:35:38 +0000

kst (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Remove spurious Build-Dep on g77.  Closes: #430180.

 -- Mark Hymers <mhy@debian.org>  Mon, 23 Jul 2007 18:08:57 +0100

kst (1.3.1-2) unstable; urgency=low

  * Change to use libcfitsio3 instead of libcfitsio2.  Closes: #413123.
  * The "I'm bound to screw up my first non-sponsored upload" release.

 -- Mark Hymers <mhy@debian.org>  Sat,  7 Apr 2007 22:58:05 +0100

kst (1.3.1-1) unstable; urgency=low

  * New upstream release. 

 -- Mark Hymers <mark@hymers.org.uk>  Fri,  3 Nov 2006 23:07:26 +0000

kst (1.3.0-1) unstable; urgency=low

  * New upstream release.  Closes: #389955.

 -- Mark Hymers <mark@hymers.org.uk>  Sun,  8 Oct 2006 14:10:19 +0100

kst (1.2.1-2) unstable; urgency=low

  * Update upstream homepage address in debian/control.
  * Add a kst.desktop file
  * Update README.Debian documentation location to reflect reality.
  * Don't compress .docbook files otherwise khelpcentre becomes really
    unhappy.  Closes: #368725.
  * Bump standards version to 3.7.2; no changes needed.
  * Add dpatch to make build with autoconf 2.60. 
  * Stop using --enable-new-ldflags as it breaks linking with libgsl and
    libgslcblas with newer versions of gsl. 

 -- Mark Hymers <mark.hymers@ncl.ac.uk>  Sun, 16 Jul 2006 15:01:42 +0100

kst (1.2.1-1) unstable; urgency=low

  * New upstream release.  (Closes: #361115)

 -- Mark Hymers <mark.hymers@ncl.ac.uk>  Sun, 16 Apr 2006 15:13:25 +0100

kst (1.1.1-3) unstable; urgency=low

  * Make libkst-dev Replace libkst0 and libkst1 due to file moves
    (Closes: #353316)

 -- Mark Hymers <mark.hymers@ncl.ac.uk>  Tue, 28 Feb 2006 21:49:38 +0000

kst (1.1.1-2) unstable; urgency=low

  * Update admin/ files so that we can build on GNU/k*BSD (Closes: #347187)
  * Use -Wl,--as-needed by using --enable-new-ldflags at configure time
  * Remove gyrodata.dat in clean target

 -- Mark Hymers <mark.hymers@ncl.ac.uk>  Sat, 14 Jan 2006 16:56:13 +0000

kst (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU.  Thanks to LaMont Jones.
  * Bump standards version to 3.6.2; no changes needed.
  * Update FSF address in debian/copyright to satisfy lintian.
  * Correct typo in d2asc manpage.
  * Remove g++-3.4 Build-Depends for [arm hppa m68k] and replace with a
    general one on  g++ >= 4:4.0.2-2 which is supposed to fix the FTBFS
    on these architectures.  Closes: #342998.
  * Introduce dpatch into the package.


=== debian/control ===
Source: kst
Section: science
Priority: optional
Maintainer: Ruben Molina <rmolina@udea.edu.co>
Build-Depends: debhelper (>= 9), cmake (>=2.8),
 libqt4-dev (>= 4.5), libqt4-opengl-dev (>= 4.5),
 libgsl0-dev, libnetcdf-dev, libcfitsio3-dev, libgetdata-dev,
 xsltproc, docbook-xsl
Standards-Version: 3.9.3
Homepage: http://kst.kde.org

Package: kst
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libkst2core2, libkst2math2, libkst2widgets2
Recommends: kst-data, kst-doc
Description: scientific data plotting tool
 Kst is a fast real-time large-dataset viewing and plotting tool. 
 It has basic data analysis functionality, contains many powerful 
 built-in features and is expandable with plugins and extensions.

Package: kst-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kst-bin (<< 2.0.3)
Replaces: kst-bin (<< 2.0.3)
Description: set of data files for kst
 Kst is a fast real-time large-dataset viewing and plotting tool. 
 It has basic data analysis functionality, contains many powerful 
 built-in features and is expandable with plugins and extensions.
 .
 This package contains architecture independent files for kst.

Package: kst-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: set of tutorials for kst
 Kst is a fast real-time large-dataset viewing and plotting tool. 
 It has basic data analysis functionality, contains many powerful 
 built-in features and is expandable with plugins and extensions.
 .
 This package contains documentation files for kst.

Package: libkst2core2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: kst core library
 Kst is a fast real-time large-dataset viewing and plotting tool. 
 It has basic data analysis functionality, contains many powerful 
 built-in features and is expandable with plugins and extensions.
 .
 This package contains the core library for kst.

Package: libkst2math2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: kst math library
 Kst is a fast real-time large-dataset viewing and plotting tool. 
 It has basic data analysis functionality, contains many powerful 
 built-in features and is expandable with plugins and extensions.
 .
 This package contains the math library for kst.

Package: libkst2widgets2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: kst widgets library
 Kst is a fast real-time large-dataset viewing and plotting tool. 
 It has basic data analysis functionality, contains many powerful 
 built-in features and is expandable with plugins and extensions.
 .
 This package contains the widgets library for kst.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# collect architecture dependent symbols in the first upload
# http://lists.debian.org/debian-mentors/2011/06/msg00392.html
# export DPKG_GENSYMBOLS_CHECK_LEVEL=0

export DEB_LDFLAGS_MAINT_APPEND="-Wl,--as-needed"

%:
	dh $@ --sourcedirectory=cmake --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -Scmake -- -Dkst_install_prefix=/usr -Dkst_verbose=ON -Dkst_rpath=OFF

override_dh_auto_build:
	xsltproc -o docbook/kst/tutorial/ /usr/share/xml/docbook/stylesheet/docbook-xsl/html/chunk.xsl docbook/kst/tutorial/tutorial.docbook
	dh_auto_build -Scmake

override_dh_auto_clean:
	find docbook/kst/tutorial/ -name '*.html' -exec rm {} \;
	dh_auto_clean -Scmake

=== debian/watch ===
version=3
http://sf.net/kst/kst-(.*)\.tar\.gz
